=== debian/changelog ===
sc-im (0.8.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1002715)

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Fri, 07 Jan 2022 16:17:02 -0500
