=== debian/control ===
Source: sc-im
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders:
 Joshua Peisach <itzswirlz2020@outlook.com>
Build-Depends: debhelper-compat (= 13),
 bison,
 gnuplot,
 liblua5.4-dev,
 libncurses-dev,
 libtinfo-dev,
 libxml2-dev,
 libzip-dev
Standards-Version: 4.6.0
Homepage: https://github.com/andmarti1424/sc-im
Vcs-Browser: https://salsa.debian.org/math-team/sc-im
Vcs-Git: https://salsa.debian.org/math-team/sc-im.git
Rules-Requires-Root: no

Package: sc-im
Architecture: any
Depends: libncurses6 | libncursesw6,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: gnuplot,
 libxml2,
 lua5.4,
 xclip,
 zip
Description: Text-based spreadsheet calculator with VI-like keybindings
 Spreadsheet Calculator Improvised, aka sc-im, is an ncurses based,
 vim-like spreadsheet calculator.
 .
 sc-im is based on sc, whose original authors are James Gosling and
 Mark Weiser, and mods were later added by Chuck Martin.
 .
 Its keybindings are familiar to users of 'vi', and it has most
 features that a pure spreadsheet would, but lacks things like
 graphing and saving in foreign formats.  It's very stable and quite
 easy to use once you've put a little effort into learning it.
