## sc-im 0.8.3+ds

=== debian/changelog ===
sc-im (0.8.3+ds-1ubuntu1) lunar; urgency=medium

  * Ensure ncurses is linked
  * Copyright: Fix upstream license, add missing clause
  * Add libncursesw-dev as acceptable build dep

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Tue, 28 Mar 2023 12:35:11 -0400

sc-im (0.8.3+ds-1) unstable; urgency=medium

  * New upstream version 0.8.3+ds

  * Update Makefile patch
  * Bump Standards-Version to 4.6.2 (no changes required)

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Mon, 16 Jan 2023 11:06:57 -0500
