=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: sc-im
 Section: math
 Priority: optional
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders:
  Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends: debhelper-compat (= 13),
  bison,
  gnuplot,
  liblua5.4-dev,
- libncurses-dev,
+ libncurses-dev | libncursesw-dev,
  libtinfo-dev,
  libxml2-dev,
  libzip-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/andmarti1424/sc-im
 Vcs-Browser: https://salsa.debian.org/math-team/sc-im
 Vcs-Git: https://salsa.debian.org/math-team/sc-im.git
