=== debian/changelog ===
sc-im (0.8.4+ds-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2089772). Remaining changes:
    - Add libncursesw-dev as acceptable build dep
    - Ensure ncurses is linked
  * Removed obsolete patches/changes:
    - Copyright: Fix upstream license, add missing clause

 -- Dave Jones <dave.jones@canonical.com>  Wed, 27 Nov 2024 14:27:41 +0000

sc-im (0.8.4+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 19 Aug 2024 08:09:11 +0000

sc-im (0.8.3+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Add missing header. (Closes: #1073323)

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:13:15 +0000

sc-im (0.8.3+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 12:28:30 +0200

sc-im (0.8.3+ds-2) experimental; urgency=medium

  * d/control:
    - add myself to Uploaders.
    - add pkgconf to Build-Depends. (Closes: #1029559)
    - add gvim, w3m, evince as reported by bug. (Closes: #1023267)
    - adjust virtaul package gnuplot.
    - update libtinfo-dev to libncurses-dev.
  * d/copyright: relicensed d/* to BSD-4-clause. (Closes: #1029570)

 -- Gürkan Myczko <tar@debian.org>  Tue, 09 May 2023 19:02:12 +0200
