=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders:
- Joshua Peisach <itzswirlz2020@outlook.com>
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
  bison,
- gnuplot,
+ gnuplot-nox,
  liblua5.4-dev,
  libncurses-dev | libncursesw-dev,
- libtinfo-dev,
  libxml2-dev,
- libzip-dev
-Standards-Version: 4.6.2
+ libzip-dev,
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/andmarti1424/sc-im
 Vcs-Browser: https://salsa.debian.org/math-team/sc-im
 Vcs-Git: https://salsa.debian.org/math-team/sc-im.git
@@ -23,12 +24,15 @@
 Architecture: any
 Depends: libncurses6 | libncursesw6,
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends: gnuplot,
+ ${shlibs:Depends},
+ w3m,
+Recommends: gnuplot-nox,
+ evince,
  libxml2,
  lua5.4,
+ gvim,
  xclip,
- zip
+ zip,
 Description: Text-based spreadsheet calculator with VI-like keybindings
  Spreadsheet Calculator Improvised, aka sc-im, is an ncurses based,
  vim-like spreadsheet calculator.
