=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Our sourcefiles are in the 'src' directory. Only queue the
# build processes in the src folder (instead of everthing)
override_dh_auto_build:
	dh_auto_build --sourcedir=src

override_dh_auto_clean:
	dh_auto_clean --sourcedir=src

override_dh_auto_install:
	dh_auto_install --sourcedir=src

override_dh_auto_installdocs:
	dh_auto_installdocs --sourcedir=src

override_dh_strip_nondeterminism:
	# For some reason, debhelper isn't stripping the binary too
	dh_strip && dh_strip_nondeterminism
