## sc-im 0.8.5%2Bds

=== debian/changelog ===
sc-im (0.8.5+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1097849)

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 13:30:57 -0500
