=== debian/changelog ===
sc-im (0.8.5+ds-2) unstable; urgency=medium

  * d/control:
    - drop libxml2 depends. (Thanks Jeremy Bicha)
    - remove double build-depends.
    - drop Rules-Requires-Root.
  * Bump standards version to 4.7.2.
  * d/copyright: bump year.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Thu, 11 Dec 2025 12:34:21 +0000
