=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sc-im
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders:
  Joshua Peisach <itzswirlz2020@outlook.com>,
  Alex Myczko <tar@debian.org>
@@ -10,11 +9,11 @@
  bison,
  gnuplot-nox,
  liblua5.4-dev,
- libncurses-dev | libncursesw-dev,
+ libncurses-dev,
  libxml2-dev,
  libzip-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/andmarti1424/sc-im
 Vcs-Browser: https://salsa.debian.org/math-team/sc-im
 Vcs-Git: https://salsa.debian.org/math-team/sc-im.git
@@ -28,7 +27,6 @@
  w3m,
 Recommends: gnuplot-nox,
  evince,
- libxml2,
  lua5.4,
  gvim,
  xclip,
