=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+ds$//
Owner: andmarti1424
Project: sc-im
Repacksuffix: +ds
